## Reporting a security issue

The Teserakt team recognizes the important contributions the security research community can make. We therefore encourage reporting security issues with the code contained in this repository.

If you believe you have discovered a security vulnerability, please send an email to security@teserakt.io. You may send an encrypted message using the public key below.

### Public Key ###

```
-----BEGIN PGP PUBLIC KEY BLOCK-----

mQENBF1vgCYBCADBfx941J5/VK2j6vazdC2D6XBkMRo/vAQeSFRnYlrcN2aLbD0w
PIpETatsfJKwmAikDwCj/Zdh90K6YRy/c3/OLQ6Kz+V/PvUK9w17hUGdfmuPgc+f
EqMRvsFnegNEMX/Sn/O8DDwRahezk4rEe0Rx7c6FvN3ViclgH+Z6knE9340eqm5r
gcm9TYWu7i1KsmTp9tZchE7dRykI5TwEQ3QfQTlMeudnVObgEslZlZ6I9RYwB71u
Slrlt/gRciHFuwDZSjOz0qcjcGpoNIwnR7wZtXxvqh1oWRFqA18iABlbbNb3B7Xy
syQIXtVGongiIX7jUrLxpXWgsM6c0m7G2B8fABEBAAG0LVRlc2VyYWt0IFNlY3Vy
aXR5IFRlYW0gPHNlY3VyaXR5QHRlc2VyYWt0LmlvPokBTgQTAQoAOBYhBD/evl+N
fyfOFQ1KFFjWk+JNukulBQJdb4AmAhsDBQsJCAcDBRUKCQgLBRYDAgEAAh4BAheA
AAoJEFjWk+JNukulbJUH/0/4T4qR7XS60E8/jxAf9eRNyxTWkL/MdpvdERlbURnB
cp4OOCAkX5h+qcwJrJpzof9/h0I3lr0fHR8kP/uTKnG/fL8JXuIL215RVAueRjSF
I9EREGNebef/BE+9X8Xcjn82BZJLm/0YoTew76wLpkCq3EIkPpiVY/jQ23nv//5W
KWkFiowEFVr89f7e1EQDCctIhTpnDDQR0HIQMJGZUYak6oml4pKlgnySwUZGV+QQ
oBCHSzD6Hd4ekNoxCgzRdbxyWU70TUaQrCA4Pvf3U5L5ljyyHEvErvG7UDEm6DxL
N4AxlyoES4r/uZfdnC13wBcxfTo8dhOv7uBskJug54q5AQ0EXW+AJgEIAKi+As0k
pGi+LGiabhssp8rcYyUhjF76fk9PRXP7iy5DIuvnIroJdgAFh8SbwBDlYk8RqYi1
XhCo75mDjdKFcDNWaA/f7KdKTLgmckcaERiHhqerp1il8q6pXCDdmmMgcpirZ6nE
jxaJ9tbBK49/YpoapnEz5uJpIgw0kaqxplc5v3H+PJ/NSChvI5U3ZQHJ/vNColdO
tGXWvI/bikDd1XSOO10PQZyOgX589rZBhpBpItRWjb5QwezMtoCv5xQZY4fBKmKA
mdKdJJRO3g8g93QBb2kDgz4g5do7dYOyrk0WRTfDntkskUKxtlMEaobrRIsjYXpq
ikZJCwE6wFlR+qMAEQEAAYkBNgQYAQoAIBYhBD/evl+NfyfOFQ1KFFjWk+JNukul
BQJdb4AmAhsMAAoJEFjWk+JNukul/7YH/RZCjrfZb4WvoE8xS9DruizdGq1i0Q7B
tfFr4mGQ+huIF5yafQRWPV4KIFFpDax0B8yAB8QbpYMvCBopCGOguGnNy7GBLi45
h/mV+YCaWluVntMn8fjJS5J+BQQgieu3QJ1cIjKV/RfoXfw1UmwvU0Qg7fvlKKWm
BNz+lK9Dr7DuSZuk/uv6MyWmCn0F7XYjqw9yCvrb1ppyTagF7fSL6zWA/8uCBQpB
7EVqYqdoM9wx4zoui5fCfRJl8435EjPRlD2LPnKoQQNyjCXznqyri12ShtjgItBk
/cgVUjYnm5bRa+w5TT9uOyPQ9kDSnIszTg3t26Di0KhESUid4FxiV40=
=LsGO
-----END PGP PUBLIC KEY BLOCK-----
```
